# $Revision: 1.55 $, $Date: 2007/07/01 18:32:43 $
Summary:	A file compression and packaging utility compatible with PKZIP
Summary(de.UTF-8):	erstellt mit PKZIP(tm) kompatible .zip-Dateien
Summary(es.UTF-8):	Crea archivos .zip compatibles con PKZIP(tm)
Summary(fr.UTF-8):	Crée des fichiers .zip compatibles avec PKZIP(tm)
Summary(pl.UTF-8):	Program do kompresji i archiwizacji plików, kompatybilny z PKZIP
Summary(pt_BR.UTF-8):	Cria arquivos .zip compatíveis com PKZIP(tm)
Summary(ru.UTF-8):	Утилита для сжатия и упаковки файлов, совместимая с PKZIP
Summary(tr.UTF-8):	PKZIP(tm)-uyumlu .zip dosyaları yaratır
Summary(uk.UTF-8):	Утиліта для компресування та упаковки файлів, сумісна з PKZIP
Name:		zip
Version:	2.32
Release:	1
License:	distributable
Group:		Applications/Archiving
Source0:	ftp://ftp.info-zip.org/pub/infozip/src/%{name}%(echo %{version} | tr -d .).tgz
# Source0-md5:	8a4da4460386e324debe97f3b7fe4d96
Source1:	ftp://ftp.icce.rug.nl/infozip/src/zcrypt29.zip
# Source1-md5:	0c969ba1661183b041a142945ed2710e
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source2-md5:	72d619b4f70c06c34e5244125b62fdce
Patch0:		%{name}-zmem.patch
Patch1:		%{name}-multilib.patch
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__unzip    	/usr/bin/unzip -o -q
%define		_unzipbin	/usr/bin/unzip -o -q

%description
The zip program is a compression and file packaging utility. Zip is
analogous to a combination of the UNIX tar and compress commands and
is compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.

%description -l de.UTF-8
zip ist ein Komprimierungs- und Dateiarchivierungsprogramm für Unix,
VMS, MSDOS, OS/2, Windows NT, Minix, Atari und Macintosh. Es
entspricht einer Kombination der UNIX-Befehle tar(1) und compress(1)
und ist mit PKZIP kompatibel (ZIP für MSDOS von Phil Katz).

%description -l es.UTF-8
zip es un utilitario de compresión y empaquetado de archivo para Unix,
VMS, MSDOS, OS/2, Windows NT, Minix, Atari y Machintosh. Y equivale al
uso de programas UNIX como tar(1) y compress(1) combinados y es
compatible con PKZIP (ZIP de Phil Katz para sistemas MSDOS).

%description -l fr.UTF-8
zip est un utilitaire de compression et d'archivage de fichiers pour
UNIX, MSDOS, OS/2, Windows NT, Minix, Atari et Macintosh. Il est
analogue à une combinaison des commandes UNIX tar(1) et compress(1) et
est compatible avec PKZIP (le \"Phil Katz's ZIP\" pour MSDOS).

%description -l pl.UTF-8
Program zip służy do kompresji oraz archiwizacji plików, o
funkcjonalności analogicznej jak kombinacja uniksowych programów tar i
compress. Jest kompatybilny z programem PKZIP, popularnym
archiwizatorem pod DOS-a.

%description -l pt_BR.UTF-8
zip é um utilitário de compressão e empacotamento de arquivo para
Unix, VMS, MSDOS, OS/2, Windows NT, Minix, Atari e Machintosh. Ele é
equivalente ao uso de programas UNIX como tar(1) e compress(1)
combinados e é compatível com o PKZIP (ZIP de Phil Katz para sistemas
MSDOS).

%description -l ru.UTF-8
Программа zip - это утилита для компрессирования и упаковки файлов.
Zip похож на комбинацию из команд Unix tar и compress и совместим с
PKZIP (утилита для компрессирования и упаковки файлов для MS-DOS).

%description -l tr.UTF-8
zip çeşitli işletim sistemleri için geliştirilmiş bir sıkıştırma
yazılımıdır. Çalışması açısından tar(1) ve compress(1) komutlarının
bir birleşimi gibidir ve PKZIP uyumludur.

%description -l uk.UTF-8
Програма zip - це утиліта для компресування та упаковки файлів. Zip
схожий на комбінацію з команд Unix tar та compress і сумісний з PKZIP
(утиліта для компресування та упаковки файлів для MS-DOS).

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1

%build
%{__make} -f unix/Makefile generic \
	prefix=%{_prefix} \
	CC="%{__cc}" \
	CPP="%{__cpp}" \
	CFLAGS_NOOPT="%{rpmcflags} -I. -DUNIX -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} -f unix/Makefile install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	INSTALL=install

bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README WHERE proginfo/*.txt proginfo/3rdparty.bug
%doc TODO proginfo/infozip.who CHANGES
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(hu) %{_mandir}/hu/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zip.spec,v $
Revision 1.55  2007/07/01 18:32:43  qboosh
- use optflags

Revision 1.54  2007/07/01 18:09:30  arekm
- up to 2.32

Revision 1.53  2007/03/06 13:42:10  spider
- rel++
- STBR

Revision 1.52  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.51  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.50  2007/02/10 20:52:27  tommat
- added multilib patch

Revision 1.49  2006/02/25 17:58:28  sparky
- fix CC="%{__cc}" passing

Revision 1.48  2005/10/26 10:29:15  glen
- add more %doc (proginfo/ziplimit.txt)

Revision 1.47  2005/05/04 08:22:55  pluto
- release 2 for Th.

Revision 1.46  2005/03/12 00:32:39  charles
- updated to 2.31
- proper Source0
- rm -long-path-buffer-overflow.patch (obsolete)

Revision 1.45  2005/01/04 22:16:43  ankry
- cleaning

Revision 1.44  2005/01/04 16:14:07  blues
- cosmetics

Revision 1.43  2005/01/04 15:46:45  glen
- reading large files (creating >2GB archives still N/A)
- rel 18
- STBR

Revision 1.42  2004/11/30 08:15:57  hawk
- release 17 (16 for RA)

Revision 1.41  2004/11/08 17:10:45  pluto
- VU#383779 fixed.
- release 15.

Revision 1.40  2004/10/29 14:13:48  paladine
- unifications

Revision 1.39  2004/09/25 11:20:56  radek
- cosmetics (spaces -> tabs)

Revision 1.38  2004/01/04 21:48:24  ankry
- pl fixes

Revision 1.37  2003/11/23 02:19:32  undefine
- relase 14 to rebuild with ac

Revision 1.36  2003/06/02 15:48:34  ankry
- added/restored non-english-man-pages URL

Revision 1.35  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.34  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.33  2003/05/25 06:28:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/11/30 23:00:31  juandon
- new %doc

Revision 1.31  2002/04/13 10:45:16  kloczek
- release 13: merge translations from KSI and Conectiva.

Revision 1.30  2002/03/22 15:44:47  mmazur
- release 11; STBR
- little patchy.. nothing to worry about

Revision 1.29  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:30:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/26 10:25:38  kloczek
- release 10.

Revision 1.26  2002/01/19 23:27:13  misiek
- use proper CC

Revision 1.25  2002/01/18 02:15:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/11/11 16:38:51  qboosh
- simplified %prep

Revision 1.23  2001/11/10 23:26:06  ankry
- added fi,hu man pages
- release 9

Revision 1.22  2001/11/10 16:45:32  jajcus
- s/Distibutable/distributable/ in License

Revision 1.21  2001/10/07 17:14:58  marcus
- fixed %setup

Revision 1.20  2001/04/30 16:05:33  kloczek
- added using %{rpmcflags} macro.

Revision 1.19  2001/01/25 20:03:52  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2000/12/23 00:48:47  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/11/04 14:30:11  kloczek
- typo in Source1.

Revision 1.16  2000/11/04 14:09:22  kloczek
- release 8: use new rpm automation.

Revision 1.15  2000/08/07 13:23:33  zagrodzki
- adapterized
- fixed side effects of previous adapterizing (.tar.gz -> %{name}.gz and
  similiar)

Revision 1.14  2000/07/12 20:10:28  kloczek
- release 7.

Revision 1.13  2000/06/09 07:24:24  kloczek
- added using %{__make} macro.

Revision 1.12  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.11  2000/05/09 14:52:27  baggins
- updated to 2.3

Revision 1.10  2000/04/17 06:51:03  kloczek
- spec adapteized.

Revision 1.9  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.8  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/02/01 12:59:10  wiget
- BuildPrereq: unzip

Revision 1.6  1999/12/04 16:38:01  kloczek
- changef Group to Utilities/Archiving and added Group(pl),
- removed stripping binaries from %install (not neccessary).

Revision 1.5  1999/11/16 15:44:36  kravietz
- added InfoZip/Unzip encryption

Revision 1.4  1999/09/13 22:13:51  kravietz
- Polish Summary and %description added

Revision 1.3  1999/08/24 15:54:40  wiget
- upgrade to 2.2
- added de, tr, fr translation (from TurboLinux)
- pl translation is missing :-( (misiek przetłumacz to )

Revision 1.2  1999/08/24 13:47:37  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.1  1999/08/19 20:07:29  baggins
- almost raw
